> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/auth.md).

# Auth

## Get Access Token

> Get access token to make authenticated HTTP requests to the Squadcast API.\
> Send your refresh token (obtained from the Squadcast web application) in the\
> \`X-Refresh-Token\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Auth"}],"servers":[{"url":"https://auth.squadcast.com","description":"US Authentication"},{"url":"https://auth.eu.squadcast.com","description":"EU Authentication"}],"security":[{}],"paths":{"/oauth/access-token":{"get":{"operationId":"Auth_getAccessToken","summary":"Get Access Token","description":"Get access token to make authenticated HTTP requests to the Squadcast API.\nSend your refresh token (obtained from the Squadcast web application) in the\n`X-Refresh-Token` header.","parameters":[{"name":"X-Refresh-Token","in":"header","required":true,"description":"(Required) Send your refresh token obtained from Squadcast web application.","schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Auth.AccessTokenData"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Auth"]}}},"components":{"schemas":{"V3.Auth.AccessTokenData":{"type":"object","required":["access_token","expires_at","issued_at","refresh_token","type"],"properties":{"access_token":{"type":"string","description":"JWT access token used as Bearer token for API requests."},"expires_at":{"type":"integer","format":"int64","description":"Unix timestamp when the access token expires."},"issued_at":{"type":"integer","format":"int64","description":"Unix timestamp when the access token was issued."},"refresh_token":{"type":"string","description":"Refresh token that can be used to obtain a new access token."},"type":{"type":"string","description":"Token type, e.g. \"Bearer\"."}},"description":"Access token response returned by the OAuth endpoint."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}}}
```
